package com.bocloud.ims.entity.resource;

import com.bocloud.cmp.model.VlanModel;
import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.IgnoreAll;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.meta.PKStrategy;

/**
 * vlan实体类
 * 
 * @author wangyu
 * @version 1.0
 * @since 2018年1月5日
 *
 */
@Table("vlan")
public class Vlan {

	// ID
	@PK(PKStrategy.AUTO)
	private Long id;
	// vlanID
	@Column("vlan_id")
	private String vlanId;
	// 网络ID
	@Column("network_id")
	private Long networkId;
	// 网络UUID
	@Column("network_uuid")
	private String networkUuid;
	// 网络类型
	@Column("network_type")
	private String networkType;
	// 云平台ID
	@Column("vendor_id")
	private Long vendorId;
	// 网络名称
	@IgnoreAll
	private String networkName;
	// 所属平台
	@IgnoreAll
	private String vendorName;
	@IgnoreAll
	private VlanModel vlans;

	/**
	 * 
	 */
	public Vlan() {
		super();
	}

	/**
	 * @param vlanId
	 * @param networkType
	 * @param networkUuid
	 */
	public Vlan(String vlanId, String networkType, String networkUuid) {
		super();
		this.vlanId = vlanId;
		this.networkType = networkType;
		this.networkUuid = networkUuid;
	}

	/**
	 * @param vlanId
	 * @param networkId
	 * @param networkType
	 * @param vendorId
	 */
	public Vlan(String vlanId, Long networkId, String networkType, Long vendorId) {
		super();
		this.vlanId = vlanId;
		this.networkId = networkId;
		this.networkType = networkType;
		this.vendorId = vendorId;
	}

	/**
	 * @param vlanId
	 * @param networkId
	 * @param networkUuid
	 * @param networkType
	 * @param vendorId
	 */
	public Vlan(String vlanId, Long networkId, String networkUuid, String networkType, Long vendorId) {
		super();
		this.vlanId = vlanId;
		this.networkId = networkId;
		this.networkUuid = networkUuid;
		this.networkType = networkType;
		this.vendorId = vendorId;
	}

	/**
	 * @return the id
	 */
	public Long getId() {
		return id;
	}

	/**
	 * @param id
	 *            the id to set
	 */
	public void setId(Long id) {
		this.id = id;
	}

	/**
	 * @return the vlanId
	 */
	public String getVlanId() {
		return vlanId;
	}

	/**
	 * @param vlanId
	 *            the vlanId to set
	 */
	public void setVlanId(String vlanId) {
		this.vlanId = vlanId;
	}

	/**
	 * @return the networkId
	 */
	public Long getNetworkId() {
		return networkId;
	}

	/**
	 * @param networkId
	 *            the networkId to set
	 */
	public void setNetworkId(Long networkId) {
		this.networkId = networkId;
	}

	/**
	 * @return the networkType
	 */
	public String getNetworkType() {
		return networkType;
	}

	/**
	 * @param networkType
	 *            the networkType to set
	 */
	public void setNetworkType(String networkType) {
		this.networkType = networkType;
	}

	/**
	 * @return the vendorId
	 */
	public Long getVendorId() {
		return vendorId;
	}

	/**
	 * @param vendorId
	 *            the vendorId to set
	 */
	public void setVendorId(Long vendorId) {
		this.vendorId = vendorId;
	}

	/**
	 * @return the networkUuid
	 */
	public String getNetworkUuid() {
		return networkUuid;
	}

	/**
	 * @param networkUuid
	 *            the networkUuid to set
	 */
	public void setNetworkUuid(String networkUuid) {
		this.networkUuid = networkUuid;
	}

	/**
	 * @return the networkName
	 */
	public String getNetworkName() {
		return networkName;
	}

	/**
	 * @param networkName
	 *            the networkName to set
	 */
	public void setNetworkName(String networkName) {
		this.networkName = networkName;
	}

	/**
	 * @return the vendorName
	 */
	public String getVendorName() {
		return vendorName;
	}

	/**
	 * @param vendorName
	 *            the vendorName to set
	 */
	public void setVendorName(String vendorName) {
		this.vendorName = vendorName;
	}

	/**
	 * @return the vlans
	 */
	public VlanModel getVlans() {
		return vlans;
	}

	/**
	 * @param vlans
	 *            the vlans to set
	 */
	public void setVlans(VlanModel vlans) {
		this.vlans = vlans;
	}

}
